# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name bytestring-show

Name:           ghc-%{pkg_name}
Version:        0.3.5.6
Release:        2%{?dist}
Summary:        Efficient conversion of values into readable byte strings

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
# End cabal-rpm deps

%description
Efficient conversion of values into readable byte strings.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Tue Feb 17 2015 Bruno Wolff III <bruno@wolff.to> - 0.3.5.6-2
- Initial Fedora build

* Mon Feb 16 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.3.5.6-1
- spec file generated by cabal-rpm-0.9.3
